package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 不可替代板坯表(PmIrsubableSlab)实体类
 *
 * @author BKGY
 * @since 2024-12-20 15:57:37
 */

@ApiModel("不可替代板坯表")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "PM_IRSUBABLE_SLAB")
public class PmIrsubableSlab extends AuditDomain implements Serializable {
    private static final long serialVersionUID = 511002119348203680L;

    public static final String FIELD_ID = "id";
    public static final String FIELD_SLAB_NO = "slabNo";
    public static final String FIELD_SG_SIGN = "sgSign";
    public static final String FIELD_ST_NO = "stNo";
    public static final String FIELD_MAT_ACT_THICK = "matActThick";
    public static final String FIELD_MAT_ACT_WIDTH = "matActWidth";
    public static final String FIELD_MAT_ACT_LEN = "matActLen";
    public static final String FIELD_DSTOCK_CODE = "dstockCode";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";

    @ApiModelProperty("主键ID")
    @Id
    @GeneratedValue
    private Long id;

    @ApiModelProperty(value = "合同号", required = true)
    @NotBlank
    private String slabNo;

    @ApiModelProperty(value = "牌号")
    private String sgSign;

    @ApiModelProperty(value = "内部钢种")
    private String stNo;

    @ApiModelProperty(value = "板坯厚度")
    private BigDecimal matActThick;

    @ApiModelProperty(value = "板坯宽度")
    private BigDecimal matActWidth;

    @ApiModelProperty(value = "板坯长度")
    private BigDecimal matActLen;

    @ApiModelProperty(value = "库区代码")
    private String dstockCode;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSlabNo() {
        return slabNo;
    }

    public void setSlabNo(String slabNo) {
        this.slabNo = slabNo;
    }

    public String getSgSign() {
        return sgSign;
    }

    public void setSgSign(String sgSign) {
        this.sgSign = sgSign;
    }

    public String getStNo() {
        return stNo;
    }

    public void setStNo(String stNo) {
        this.stNo = stNo;
    }

    public BigDecimal getMatActThick() {
        return matActThick;
    }

    public void setMatActThick(BigDecimal matActThick) {
        this.matActThick = matActThick;
    }

    public BigDecimal getMatActWidth() {
        return matActWidth;
    }

    public void setMatActWidth(BigDecimal matActWidth) {
        this.matActWidth = matActWidth;
    }

    public BigDecimal getMatActLen() {
        return matActLen;
    }

    public void setMatActLen(BigDecimal matActLen) {
        this.matActLen = matActLen;
    }

    public String getDstockCode() {
        return dstockCode;
    }

    public void setDstockCode(String dstockCode) {
        this.dstockCode = dstockCode;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public String getAttribute4() {
        return attribute4;
    }

    public void setAttribute4(String attribute4) {
        this.attribute4 = attribute4;
    }

    public String getAttribute5() {
        return attribute5;
    }

    public void setAttribute5(String attribute5) {
        this.attribute5 = attribute5;
    }

}

